{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
{-# OPTIONS_GHC -fno-warn-implicit-prelude #-}
module Paths_shadow_library (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/kociub/Documents/GitHub/twilight-library/.stack-work/install/x86_64-linux-tinfo6/12f55330a20e707c0be8c657a9ad6075d4f81931c33662792662f8c1f0760801/8.2.2/bin"
libdir     = "/home/kociub/Documents/GitHub/twilight-library/.stack-work/install/x86_64-linux-tinfo6/12f55330a20e707c0be8c657a9ad6075d4f81931c33662792662f8c1f0760801/8.2.2/lib/x86_64-linux-ghc-8.2.2/shadow-library-0.1.0.0-4ii46jcKDRrFmqmZqoJWQw"
dynlibdir  = "/home/kociub/Documents/GitHub/twilight-library/.stack-work/install/x86_64-linux-tinfo6/12f55330a20e707c0be8c657a9ad6075d4f81931c33662792662f8c1f0760801/8.2.2/lib/x86_64-linux-ghc-8.2.2"
datadir    = "/home/kociub/Documents/GitHub/twilight-library/.stack-work/install/x86_64-linux-tinfo6/12f55330a20e707c0be8c657a9ad6075d4f81931c33662792662f8c1f0760801/8.2.2/share/x86_64-linux-ghc-8.2.2/shadow-library-0.1.0.0"
libexecdir = "/home/kociub/Documents/GitHub/twilight-library/.stack-work/install/x86_64-linux-tinfo6/12f55330a20e707c0be8c657a9ad6075d4f81931c33662792662f8c1f0760801/8.2.2/libexec/x86_64-linux-ghc-8.2.2/shadow-library-0.1.0.0"
sysconfdir = "/home/kociub/Documents/GitHub/twilight-library/.stack-work/install/x86_64-linux-tinfo6/12f55330a20e707c0be8c657a9ad6075d4f81931c33662792662f8c1f0760801/8.2.2/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "shadow_library_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "shadow_library_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "shadow_library_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "shadow_library_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "shadow_library_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "shadow_library_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
